:root{
    --nav-background: #8dc29c;

    --color-submit-button: #8dc29c;
    --color-submit-button-hover: #76a987;
}

@media (prefers-color-scheme: dark) {
  :root {
    --nav-background: #2f5d50;
    --color-submit-button: #3f6f5a;
    --color-submit-button-hover: #355e4c;
  }
}

#commandForm{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap:10px;
    width:100%;
    padding : 20px;
}
#form-fields{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    width:50%;
    font-weight: bold;
    font-size: 1.2rem;
}
#command-info{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap : 10px;
    width : 70%;
    font-size: 1.2rem;
}

#command-info>p{
    text-align: justify;
}
.input{
    width : 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#nom,#prenom, #email{
    width: 70%;
    padding : 5px;
    border-radius: 5px;
    border : 1px solid black;
}

#submitCommand{
    width : 40%;
    padding : 10px;
    border-radius: 10px;
    border : none;
    background-color: var(--color-submit-button);
    color : white;
    font-size : 1.3rem;
    cursor : pointer;
    transition: all 0.2s ease;
}

#submitCommand:hover{
    background-color: var(--color-submit-button-hover);
    transform: scale(1.05);
}

@media (max-width: 500px){
    #form-fields{
        width: 90%;
        font-size: 1rem;
    }
    #command-info{
        width: 90%;
        font-size: 0.9rem;
    }
    .input{
        flex-direction: column;
        align-items: flex-start;
        gap: 5px;
    }
    #nom,#prenom, #email{
        width: 100%;
    }
    #submitCommand{
        width: 60%;
        font-size: 1rem;
    }
}

@media (min-width: 501px) and (max-width: 800px){
    #form-fields{
        width: 70%;
        font-size: 1.1rem;
    }
    #command-info{
        width: 80%;
        font-size: 1.1rem;
    }
    #submitCommand{
        width: 60%;
        font-size: 1.2rem;
    }
}